#
# spec file for package python-monasca-common
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname monasca-common
Name:           python-monasca-common
Version:        2.13.1~dev6
Release:        1.1
Summary:        Reusable code for building monitoring related services.
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://wiki.openstack.org/wiki/Monasca
Source0:        monasca-common-master.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-PyMySQL
BuildRequires:  python-kazoo
BuildRequires:  python-mock
BuildRequires:  python-oslo.config
BuildRequires:  python-oslo.context
BuildRequires:  python-oslo.policy
BuildRequires:  python-oslotest
BuildRequires:  python-pbr
BuildRequires:  python-pyparsing
BuildRequires:  python-requests-mock
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python-stestr
BuildRequires:  python-ujson
Requires:       python-PyMySQL
Requires:       python-kazoo
Requires:       python-oslo.config
Requires:       python-oslo.policy
Requires:       python-pyparsing
Requires:       python-six
Requires:       python-ujson
BuildArch:      noarch
%if 0%{?suse_version}
BuildRequires:  python-confluent-kafka
Requires:       python-confluent-kafka
%endif

%description
Collection of sub-projects containing reusable application and
platform code for building monitoring related services.

%prep
%autosetup -n %{sname}-2.13.1.dev6
%py_req_cleanup

%build
%{py2_build}

%install
%{py2_install}

%if 0%{?suse_version}
%check
stestr run
%endif

%files
%license LICENSE
%doc README.rst ChangeLog
%{python2_sitelib}/monasca_common
%{python2_sitelib}/*.egg-info

%changelog
